summaryrefslogtreecommitdiff
path: root/Master
diff options
context:
space:
mode:
Diffstat (limited to 'Master')
-rwxr-xr-xMaster/tlpkg/bin/check-wrapper-consistency3
1 files changed, 3 insertions, 0 deletions
diff --git a/Master/tlpkg/bin/check-wrapper-consistency b/Master/tlpkg/bin/check-wrapper-consistency
index c693b2e5bb8..97c6e4eeaa7 100755
--- a/Master/tlpkg/bin/check-wrapper-consistency
+++ b/Master/tlpkg/bin/check-wrapper-consistency
@@ -128,6 +128,9 @@ sub list_shell_scripts {
my $Work_linked_scripts = "$Work/texk/texlive/linked_scripts";
my $Work_tl_scripts = "$Work/texk/texlive/tl_scripts";
+ -d "$Work_linked_scripts"||die "no linked_scripts dir: $Work_linked_scripts";
+ -d "$Work_tl_scripts" || die "no tl_scripts dir: $Work_tl_scripts";
+
# use make; ensure we get only the last line, although that should be
# all there is.
my $lst = `make -s -C $Work_linked_scripts echo-shell-scripts | tail -1`;